Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## modhelxs.abstractsemantics
Class Relation

    java.lang.Object
      modhelxs.abstractsemantics.NamedEntity
          modhelxs.abstractsemantics.Relation

All Implemented Interfaces:
  NamedEntity, Relation

    public class Relation

extends NamedEntity
implements Relation

A Relation is an oriented connection between two pins.

Author:
  boulange

Field Summary
`private Pin` | `origin_` The origin of the relation.
`private Pin` | `target_` The target of the relation.

Constructor Summary
`Relation(java.lang.String name, Pin origin, Pin target)` Build a new relation named `name` between two pins.

Method Summary
`Pin` | `getOrigin()` Get the origin of this relation.
`Pin` | `getTarget()` Get the target of this relation.

Methods inherited from class modhelxs.abstractsemantics.NamedEntity
`getName, getProperties, getProperty, hasProperty, removeProperty, setName, setProperties, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface modhelxs.ecore.NamedEntity
`getName, getProperties, setName`

Field Detail

### origin_

    private Pin origin_

  The origin of the relation.

### target_

    private Pin target_

  The target of the relation.

Constructor Detail

### Relation

    public Relation(java.lang.String name,
                    Pin origin,
                    Pin target)

  Build a new relation named `name` between two pins.

Method Detail

### getOrigin

    public Pin getOrigin()

  Description copied from interface: `Relation`
  Get the origin of this relation.

  Specified by:
    `getOrigin` in interface `Relation`

### getTarget

    public Pin getTarget()

  Description copied from interface: `Relation`
  Get the target of this relation.

  Specified by:
    `getTarget` in interface `Relation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD